LLINES(1)

NAME
llines

SYNOPSIS
llines [OPTION]...
llines [OPTION]... Database
llexec [OPTION]... Database
dbverify [OPTION]... Database

DESCRIPTION

llines invokes the LifeLines genealogy program.

For up to date documentation please refer to the Documentation section of this man page.

LifeLines is a program to manipulate genealogical information in GEDCOM format. It has a curses interface, and a built-in interpreter for its own genealogical report language.

OPTIONS
The following options are some of the options available for llines.

-C  Specify configuration file location.

-F  Finnish option (only available if compiled with Finnish flag)

-I  Specify a user property (e.g. -ILLEDITOR=gvim)

-a  Log dynamic memory operation (for debugging)

-c  Supply cache values (eg, -ci400,4000f400,4000 sets direct indi & fam caches to 400, and indirect indi & fam caches to 4000)

-d  Developmental/debug mode (signals are not caught)

-f  Force open a database (only for use if reader/writer count is wrong)

-i  Open database with immutable access (no protection against other access -- for use on read-only media)

-k  Always show key values (normally key is not shown if a REFN is shown)

-l  Lock (-ly) or unlock (-ln) a database for use with read only media (access to a locked database is treated as immutable)

-n  Do not use traditional family rules

-o  Specify program output filename (eg, -o/tmp/mytests)

-r  Open database with read-only access (protect against other writer access)

-uCOLS,ROWS
    Specify window size (eg, -u120,34 specifies 120 columns by 34 rows)

-w  Open database with writeable access (protecte against other reader or writer access)

-x  Execute a single lifelines report program directly

-z  Use normal ASCII characters for drawing lines in user interface rather than the vt100 special characters

-?  Display options summary, (on UNIX or Linux use the -h option)

llexec is a version of llines without the user interface for non-interactive processing of report programs. (Typically used with the -x option.)

dbverify is a utility program to verify Lifelines databases. For information about options, run bverify with th -h option.

FILES
Lifelines looks for a configuration file for various settings. See description in the userguide for details.

DOCUMENTATION
The LifeLines documentation should be installed as part of the installation, and may also be viewed at the project site: http://lifelines.sourceforge.net. Look for ll-userguide and ll-reportmanual (with appropriate extensions for text, html and pdf formats). The normal installation process includes a large number of sample report programs that you can customize to suit your needs. In the directory containing these reports you should file a file named index.html which gives a very brief summary of each report.